BindingInfo (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: BindingInfo

Package org.apache.cxf.service.model

# Class BindingInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.AbstractDescriptionElement
org.apache.cxf.service.model.BindingInfo

All Implemented Interfaces:
  `Extensible`, `NamedItem`

public class BindingInfo extends AbstractDescriptionElement implements NamedItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingInfo(ServiceInfo service, String bindingId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addOperation(BindingOperationInfo operation)`
  Adds an operation to this service.
  `BindingOperationInfo`
  `buildOperation(QName opName, String inName, String outName)`
  `String`
  `getBindingId()`
  `DescriptionInfo`
  `getDescription()`
  `InterfaceInfo`
  `getInterface()`
  `QName`
  `getName()`
  `BindingOperationInfo`
  `getOperation(QName oname)`
  Returns the operation info with the given name, if found.
  `BindingOperationInfo`
  `getOperation(OperationInfo oi)`
  `Collection<BindingOperationInfo>`
  `getOperations()`
  Returns all operations for this service.
  `ServiceInfo`
  `getService()`
  `void`
  `removeOperation(BindingOperationInfo operation)`
  Removes an operation from this service.
  `void`
  `setName(QName n)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BindingInfo

    public BindingInfo(ServiceInfo service, String bindingId)

- ## Method Details

  - ### getDescription

    public DescriptionInfo getDescription()
    Specified by:
      `getDescription` in class `AbstractDescriptionElement`

  - ### getInterface

    public InterfaceInfo getInterface()

  - ### getService

    public ServiceInfo getService()

  - ### getBindingId

    public String getBindingId()

  - ### setName

    public void setName(QName n)

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `NamedItem`

  - ### buildOperation

    public BindingOperationInfo buildOperation(QName opName, String inName, String outName)

  - ### addOperation

    public void addOperation(BindingOperationInfo operation)
    Adds an operation to this service.
    Parameters:
      `operation` - the operation.

  - ### removeOperation

    public void removeOperation(BindingOperationInfo operation)
    Removes an operation from this service.
    Parameters:
      `operation` - the operation.

  - ### getOperation

    public BindingOperationInfo getOperation(QName oname)
    Returns the operation info with the given name, if found.
    Parameters:
      `oname` - the name.
    Returns:
      the operation; or `null` if not found.

  - ### getOperations

    public Collection<BindingOperationInfo> getOperations()
    Returns all operations for this service.
    Returns:
      all operations.

  - ### getOperation

    public BindingOperationInfo getOperation(OperationInfo oi)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`